org.apache.nutch.storage

## Class Host.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<Host>
    - - org.apache.nutch.storage.Host.Builder

- All Implemented Interfaces:
    org.apache.avro.data.RecordBuilder<Host>
  Enclosing class:
    Host

      public static class Host.Builder
      extends org.apache.avro.specific.SpecificRecordBuilderBase<Host>
      implements org.apache.avro.data.RecordBuilder<Host>

  RecordBuilder for Host instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Host` | `build()`
    `Host.Builder` | `clearInlinks()` Clears the value of the 'inlinks' field
    `Host.Builder` | `clearMetadata()` Clears the value of the 'metadata' field
    `Host.Builder` | `clearOutlinks()` Clears the value of the 'outlinks' field
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getInlinks()` Gets the value of the 'inlinks' field
    `java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer>` | `getMetadata()` Gets the value of the 'metadata' field
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getOutlinks()` Gets the value of the 'outlinks' field
    `boolean` | `hasInlinks()` Checks whether the 'inlinks' field has been set
    `boolean` | `hasMetadata()` Checks whether the 'metadata' field has been set
    `boolean` | `hasOutlinks()` Checks whether the 'outlinks' field has been set
    `Host.Builder` | `setInlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'inlinks' field
    `Host.Builder` | `setMetadata(java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer> value)` Sets the value of the 'metadata' field
    `Host.Builder` | `setOutlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'outlinks' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMetadata

          public java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer> getMetadata()

      Gets the value of the 'metadata' field

    - #### setMetadata

          public Host.Builder setMetadata(java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer> value)

      Sets the value of the 'metadata' field

    - #### hasMetadata

          public boolean hasMetadata()

      Checks whether the 'metadata' field has been set

    - #### clearMetadata

          public Host.Builder clearMetadata()

      Clears the value of the 'metadata' field

    - #### getOutlinks

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getOutlinks()

      Gets the value of the 'outlinks' field

    - #### setOutlinks

          public Host.Builder setOutlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'outlinks' field

    - #### hasOutlinks

          public boolean hasOutlinks()

      Checks whether the 'outlinks' field has been set

    - #### clearOutlinks

          public Host.Builder clearOutlinks()

      Clears the value of the 'outlinks' field

    - #### getInlinks

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getInlinks()

      Gets the value of the 'inlinks' field

    - #### setInlinks

          public Host.Builder setInlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'inlinks' field

    - #### hasInlinks

          public boolean hasInlinks()

      Checks whether the 'inlinks' field has been set

    - #### clearInlinks

          public Host.Builder clearInlinks()

      Clears the value of the 'inlinks' field

    - #### build

          public Host build()

      Specified by:
        `build` in interface `org.apache.avro.data.RecordBuilder<Host>`

Copyright © 2019 The Apache Software Foundation